%define prefix /usr
%define name lxuptime
%define version 0.1
%define release %mkrel 2
%define url http://www.pclinuxos.com/forum/index.php/board,76.0.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Monitoring
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	lxuptime displays your uptime 
Summary(de):	lxuptime zeigt die Laufzeit der aktuelle Sitzung
BuildRoot:	%{_tmppath}/%{name}-buildroot	
Requires:	bash, yad
Obsoletes:	%name < %version

%description
lxuptime puts an icon in your systray. 
When you hover your mouse over it, a 
message opens and displays your uptime. 


#german
%description -l de
lxuptime nistet sich in das Systray. Wenn 
Sie mit der Maus über das Icon verweilen zeigt 
es die aktuelle Laufzeit der Sitzung an.

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %buildroot%_bindir
install -m 0755 %{name} %buildroot%_bindir/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %{name}.png %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Tell how long the system has been running
Comment[de]=lxuptime zeigt die Laufzeit der aktuelle Sitzung
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Infos;System;Monitor;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sun Jan 27 2013 daniel <meisssw01 at gmail.com> 0.1-2leiche2012
- fix desktop file entrys

* Thu Dec 14 2011 leiche <meisssw01 at gmail.com> 0.1-1leiche2011
- initial package
